Bug 24292 - kodi 18.1 update for Mageia 6
Summary: kodi 18.1 update for Mageia 6
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: Backports (show other bugs)
Version: 6
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard:
Keywords: validated_backport
Depends on:
Blocks:
 
Reported: 2019-02-01 22:45 CET by David Walser
Modified: 2019-02-21 22:36 CET (History)
5 users (show)

See Also:
Source RPM: kodi
CVE:
Status comment:


Attachments

Description David Walser 2019-02-01 22:45:41 CET
We should update to Kodi 18.0:
https://kodi.tv/article/kodi-180
https://kodi.wiki/view/Kodi_v18_(Leia)_changelog

The changelog shows that it updated to 4.0.2, so, similarly to mythtv, we should update the bundled FFmpeg again to 4.0.3, or at least patch it for CVE-2018-15822.
Comment 1 Stig-Ørjan Smelror 2019-02-06 20:29:31 CET
As I recall, Kodi 17.6 on Mageia 6 uses system FFmpeg.

I've got a working Kodi 18 ready to push if its still wanted or necessary.

Cheers,
Stig
Comment 2 David Walser 2019-02-07 13:56:45 CET
Ahh, it appears that you're correct.  So, we don't need to update it.  Hopefully you can get it built for Mageia 7 with system ffmpeg as well.  As for this bug, you can close it as INVALID, or turn it into a backport bug if you want to do that.
Comment 3 Stig-Ørjan Smelror 2019-02-07 21:44:56 CET
Kodi 18.0 has been pushed to Mageia 6 core/backports_testing.

Files:

kodi-18.0-1.mga6
kodi-addon-devel-18.0-1.mga6
kodi-eventclient-kodi-send-18.0-1.mga6
kodi-eventclient-ps3-18.0-1.mga6
kodi-eventclients-common-18.0-1.mga6
kodi-eventclient-wiiremote-18.0-1.mga6
kodi-firewalld-services-18.0-1.mga6
kodi-python-18.0-1.mga6
kodi-python-bt-18.0-1.mga6
kodi-python-xbmcclient-18.0-1.mga6
kodi-python-zeroconf-18.0-1.mga6
kodi-texturepacker-18.0-1.mga6

from kodi-18.0-1.mga6.src.rpm

Assignee: smelror => qa-bugs
Component: Security => Backports
QA Contact: security => (none)

Comment 4 Len Lawrence 2019-02-11 19:28:03 CET
When backports-testing is enabled + 'urpmi.update -a' there is a problem.
# urpmi kodi
A requested package cannot be installed:
kodi-18.0-1.mga6.x86_64 (due to unsatisfied python2dist(pybluez))

Reinstalled kodi, then:

Re-enabled Backports Testing.
# urpmi kodi-addon-devel
<OK>
# urpmi kodi-eventclient-kodi-send
A requested package cannot be installed:
kodi-18.0-1.mga6.x86_64 (due to unsatisfied python2dist(pillow))
Continue installation anyway? (Y/n) n
# urpmi kodi-eventclient-ps3
A requested package cannot be installed:
kodi-eventclient-ps3-18.0-1.mga6.x86_64 (due to unsatisfied python2dist(dbus-python))

and so on.  Always it complains about python2dist.

What am I doing wrong?  Or is it a dependency problem?

CC: (none) => tarazed25

Comment 5 Len Lawrence 2019-02-11 19:30:51 CET
# urpmq --requires-recursive kodi | sort -u | grep python
lib64python2.7
lib64python2.7-stdlib
libpython2.7
libpython2.7-stdlib
python
python2-rpm-macros
python-cairo
python-gobject
python-numpy
python-rpm-macros
Comment 6 katnatek 2019-02-12 19:46:33 CET
The issue is due lines 191 and 249 of the spec
Requires: python2dist(pybluez) , for mageia 6 should be

Requires: python-pybluez 

or 

Requires: pythonegg(2)(pybluez)

Is reported in blogdrake.net that the installation could be forced without issues
Johnny A. Solbu 2019-02-13 14:18:06 CET

CC: (none) => cooker

Comment 7 Stig-Ørjan Smelror 2019-02-18 00:46:38 CET
Kodi 18.1 has been pushed to Mageia 6 core/backports_testing.

This hopefully fixes the Python Requires issue mentioned.

Files

kodi-18.1-1.1.mga6
kodi-firewalld-services-18.1-1.1.mga6
kodi-addon-devel-18.1-1.1.mga6
kodi-eventclients-common-18.1-1.1.mga6
kodi-eventclient-ps3-18.1-1.1.mga6
kodi-eventclient-wiiremote-18.1-1.1.mga6
kodi-eventclient-kodi-send-18.1-1.1.mga6
kodi-python-bt-18.1-1.1.mga6
kodi-python-18.1-1.1.mga6
kodi-python-xbmcclient-18.1-1.1.mga6
kodi-python-zeroconf-18.1-1.1.mga6
kodi-texturepacker-18.1-1.1.mga6

from kodi-18.1-1.1.mga6.src.rpm

CC: (none) => smelror
Summary: kodi 18.0 update for Mageia 6 (to update bundled FFmpeg) => kodi 18.1 update for Mageia 6

Comment 8 Len Lawrence 2019-02-19 16:31:11 CET
Tried this again, installing one package at a time but keep seeing:
A requested package cannot be installed:
(due to unsatisfied python2dist(pillow))

Elsewhere:
Package python-pillow-3.4.2-1.mga6.x86_64 is already installed.

Sorry Stig.
Comment 9 Dave Hodgins 2019-02-19 17:33:18 CET
Something is wrong with the updating of the media-info directory.
http://mirror.math.princeton.edu/pub/mageia/distrib/6/x86_64/media/core/backports_testing/media_info/20190217-072349-changelog.xml.lzma
http://mirror.math.princeton.edu/pub/mageia/distrib/6/x86_64/media/core/backports_testing/kodi-18.1-1.1.mga6.x86_64.rpm is dated 2019-02-17 19:59
so it was created about 12 hours after the media_info was updated, if I'm
reading it correctly.

With the all of  the  backport testing repos enabled ...
# urpmq -i kodi|grep ^Source|sort -uV|tail -n 1
Source RPM  : kodi-18.0-1.mga6.src.rpm

So while the newer package is there, it isn't listed as available.

I'll ask the sysadmins to look into this.

CC: (none) => davidwhodgins

Comment 10 Stig-Ørjan Smelror 2019-02-20 09:39:32 CET
Hopefully last push this round. Found another Python requires that is now fixed and I also think I've fixed the build on ARM.

Files

kodi-18.1-1.1.mga6
kodi-firewalld-services-18.1-1.3.mga6
kodi-addon-devel-18.1-1.3.mga6
kodi-eventclients-common-18.1-1.3.mga6
kodi-eventclient-ps3-18.1-1.3.mga6
kodi-eventclient-wiiremote-18.1-1.3.mga6
kodi-eventclient-kodi-send-18.1-1.3.mga6
kodi-python-bt-18.1-1.3.mga6
kodi-python-18.1-1.3.mga6
kodi-python-xbmcclient-18.1-1.3.mga6
kodi-python-zeroconf-18.1-1.3.mga6
kodi-texturepacker-18.1-1.3.mga6

from kodi-18.1-1.3.mga6.src.rpm
Comment 11 Dave Hodgins 2019-02-20 17:46:03 CET
Still fails ...
A requested package cannot be installed:
kodi-eventclient-ps3-18.1-1.3.mga6.x86_64 (due to unsatisfied python2-gobject)
Comment 12 Stig-Ørjan Smelror 2019-02-20 17:53:31 CET
Fixed unsatisfied python2-gobject.


Files

kodi-18.1-1.4.mga6
kodi-firewalld-services-18.1-1.4.mga6
kodi-addon-devel-18.1-1.4.mga6
kodi-eventclients-common-18.1-1.4.mga6
kodi-eventclient-ps3-18.1-1.4.mga6
kodi-eventclient-wiiremote-18.1-1.4.mga6
kodi-eventclient-kodi-send-18.1-1.4.mga6
kodi-python-bt-18.1-1.4.mga6
kodi-python-18.1-1.4.mga6
kodi-python-xbmcclient-18.1-1.4.mga6
kodi-python-zeroconf-18.1-1.4.mga6
kodi-texturepacker-18.1-1.4.mga6

from kodi-18.1-1.4.mga6.src.rpm
Comment 13 Dave Hodgins 2019-02-20 20:15:55 CET
Works, both running kodi under plasma and as a standalone desktop environment
replacement.

The problem of failing to exit properly still exists, but that is not a
regression.

Validating the update.

Keywords: (none) => validated_backport
Whiteboard: (none) => MGA6-64-OK

Comment 14 Thomas Backlund 2019-02-21 00:58:45 CET
Package moved

CC: (none) => tmb
Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 15 Stig-Ørjan Smelror 2019-02-21 22:13:04 CET
A certificate file has been removed. See bug 24400 for more information.

Files

kodi-18.1-1.5.mga6
kodi-firewalld-services-18.1-1.5.mga6
kodi-addon-devel-18.1-1.5.mga6
kodi-eventclients-common-18.1-1.5.mga6
kodi-eventclient-ps3-18.1-1.5.mga6
kodi-eventclient-wiiremote-18.1-1.5.mga6
kodi-eventclient-kodi-send-18.1-1.5.mga6
kodi-python-bt-18.1-1.5.mga6
kodi-python-18.1-1.5.mga6
kodi-python-xbmcclient-18.1-1.5.mga6
kodi-python-zeroconf-18.1-1.5.mga6
kodi-texturepacker-18.1-1.5.mga6

from kodi-18.1-1.5.mga6.src.rpm

Whiteboard: MGA6-64-OK => (none)
Status: RESOLVED => REOPENED
Resolution: FIXED => (none)
Keywords: validated_backport => (none)

Comment 16 David Walser 2019-02-21 22:36:18 CET
Submit that fix in Bug 24400 then.  This one has already been pushed.

Keywords: (none) => validated_backport
Status: REOPENED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.